using System;
using System.Resources;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

[assembly: CLSCompliant(true)]
[assembly: NeutralResourcesLanguageAttribute("en-US")]

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("Mercury.Messaging.Core")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("Michael C. Mankin")]
[assembly: AssemblyProduct("Mercury.Messaging.Core")]
[assembly: AssemblyCopyright("Copyright © Michael C. Mankin 2013")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible 
// to COM components.  If you need to access a type in this assembly from 
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

// The following GUID is for the ID of the typelib if this project is exposed to COM
[assembly: Guid("ee9d0819-d1e2-4cac-aa4b-8aae2d835982")]

// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Build and Revision Numbers 
// by using the '*' as shown below:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("2.2.5.1")]
[assembly: AssemblyFileVersion("2.2.5.1")]
[assembly: System.Runtime.CompilerServices.InternalsVisibleTo("Mercury.Messaging.Test, PublicKey=0024000004800000940000000602" +
    "00000024000052534131000400000100010045febff86e118e9b4c183dc897442f7d2ab602ef32832c75894d11055f3dfaa93dfb653bdbeb5b79662b" +
    "bca9235ca4e265786bf43ca76cec6e70d49eec57b47b969791eebe06fc11db61bf07034448d3a87359e22e6662ee83d923be97b600251e777e04a52d" +
    "f0c4496ae07aa8e7f3970ca0c3b08b0603db84fec95bf45da9c9")]